Subject: Re: [PATCH 4/4] [IPROUTE2] iproute2: link_veth support bug fixes.

From: Stephen Hemminger <[email-masked]>
Date: Thu, 13 Sep 2007 12:30:25 +0200

On Wed, 12 Sep 2007 09:13:02 -0600
[email-masked] (Eric W. Biederman) wrote:

> Pavel Emelyanov <[email-masked]> writes:
> 
> > [snip]
> >
> >> @@ -25,6 +26,3 @@ clean:
> >>  
> >>  LDLIBS	+= -ldl
> >>  LDFLAGS	+= -Wl,-export-dynamic
> >> -
> >> -%.so: %.c
> >> -	$(CC) $(CFLAGS) -shared $< -o $@
> >
> > %) How do we get the .so file then?
> 
> The code was built into iproute2, so we don't need the .so file.
> That rule does not work on arch/x86_64 so I had to do something
> and the easiest was to simply compile the code in.  Like Patrick
> did with his recent VLAN support.
> 
> The usefulness of a .so file seems to be distributing the code
> outside of /bin/ip.  Although I think we currently have some issues with
> mixed 32bit and 64bit systems because we have "/usr/lib/ip/link_*.so"
> hard coded.
> 
> A .so file always seems to override the compiled in version so I don't
> think we loose any flexibility on that front.
> 
> Eric

Fixing the 64 bit library path is on my to fix list.